<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: MissionServer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1a/a05053.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">MissionServer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../d7/d1a/a05053.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0c5b75bdbee3260e3fdb29f5b63d1a0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a0c5b75bdbee3260e3fdb29f5b63d1a0b">~MissionServer</a> ()</td></tr>
<tr class="separator:a0c5b75bdbee3260e3fdb29f5b63d1a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85f1149cc82d6be8b1a626b4b9f10496"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a85f1149cc82d6be8b1a626b4b9f10496">HandleBody</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a85f1149cc82d6be8b1a626b4b9f10496"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbef82bdde53b436aba506cf1ba70cf7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#acbef82bdde53b436aba506cf1ba70cf7">OnMissionStart</a> ()</td></tr>
<tr class="separator:acbef82bdde53b436aba506cf1ba70cf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739f3d559572cf36d028f354c0f271e1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a739f3d559572cf36d028f354c0f271e1">OnMissionLoaded</a> ()</td></tr>
<tr class="separator:a739f3d559572cf36d028f354c0f271e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af86d4c9ac48865c51c5ef9323269f292"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#af86d4c9ac48865c51c5ef9323269f292">OnClientReconnectEvent</a> (PlayerIdentity identity, <a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player)</td></tr>
<tr class="separator:af86d4c9ac48865c51c5ef9323269f292"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5220cefbf5b32bfdbba6de6303703848"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a5220cefbf5b32bfdbba6de6303703848">InvokeOnConnect</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, PlayerIdentity identity)</td></tr>
<tr class="separator:a5220cefbf5b32bfdbba6de6303703848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56cb80bb9ef9602d18ebc3625b06789a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a56cb80bb9ef9602d18ebc3625b06789a">Expansion_SendSettings</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a56cb80bb9ef9602d18ebc3625b06789a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56d9b250d1fddb41a9f96e9d6b08de5f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a56d9b250d1fddb41a9f96e9d6b08de5f">PlayerDisconnected</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, PlayerIdentity identity, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> uid)</td></tr>
<tr class="separator:a56d9b250d1fddb41a9f96e9d6b08de5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad01eac75e1a14e863506caea00845ca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#ad01eac75e1a14e863506caea00845ca2">DumpClassNameJSON</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> mustContain=&quot;&quot;)</td></tr>
<tr class="separator:ad01eac75e1a14e863506caea00845ca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f4d5793e312e5ee528da906e56d89e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a3f4d5793e312e5ee528da906e56d89e6">MissionServer</a> ()</td></tr>
<tr class="separator:a3f4d5793e312e5ee528da906e56d89e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f4d5793e312e5ee528da906e56d89e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a3f4d5793e312e5ee528da906e56d89e6">MissionServer</a> ()</td></tr>
<tr class="separator:a3f4d5793e312e5ee528da906e56d89e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a081e14fb79f837622f5daa894b93255d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a081e14fb79f837622f5daa894b93255d">EquipCharacter</a> (MenuDefaultCharacterData char_data)</td></tr>
<tr class="separator:a081e14fb79f837622f5daa894b93255d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3502c1fff1de96c7e56c36c1766383e2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a3502c1fff1de96c7e56c36c1766383e2">UpdateLogoutPlayers</a> ()</td></tr>
<tr class="memdesc:a3502c1fff1de96c7e56c36c1766383e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fix for <a href="https://feedback.bistudio.com/T163613">https://feedback.bistudio.com/T163613</a>.  <a href="../../d7/d1a/a05053.html#a3502c1fff1de96c7e56c36c1766383e2">More...</a><br /></td></tr>
<tr class="separator:a3502c1fff1de96c7e56c36c1766383e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a940fe385684686f37557a6d323d0833c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a940fe385684686f37557a6d323d0833c">EXPANSION_CLASSNAME_DUMP</a> = false</td></tr>
<tr class="separator:a940fe385684686f37557a6d323d0833c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd2d85cf3be4adbcc8d929553c089c5"><td class="memItemLeft" align="right" valign="top">ExpansionRespawnHandlerModule&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1a/a05053.html#a3cd2d85cf3be4adbcc8d929553c089c5">m_RespawnHandlerModule</a></td></tr>
<tr class="separator:a3cd2d85cf3be4adbcc8d929553c089c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p >MissionServer.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00016">16</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0c5b75bdbee3260e3fdb29f5b63d1a0b" name="a0c5b75bdbee3260e3fdb29f5b63d1a0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c5b75bdbee3260e3fdb29f5b63d1a0b">&#9670;&#160;</a></span>~MissionServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionServer::~MissionServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00023">23</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a3f4d5793e312e5ee528da906e56d89e6" name="a3f4d5793e312e5ee528da906e56d89e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f4d5793e312e5ee528da906e56d89e6">&#9670;&#160;</a></span>MissionServer() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionServer::MissionServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d85/a01352_source.html#l00107">107</a> of file <a class="el" href="../../d0/d85/a01352_source.html">mission.c</a>.</p>

</div>
</div>
<a id="a3f4d5793e312e5ee528da906e56d89e6" name="a3f4d5793e312e5ee528da906e56d89e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f4d5793e312e5ee528da906e56d89e6">&#9670;&#160;</a></span>MissionServer() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionServer::MissionServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >3_Game cannot call classes from 4_World - This 2 lines are not mandatory for any systems to work properly. Just to make it to generate on server startup</p>

<p class="definition">Definition at line <a class="el" href="../../da/d15/a09021_source.html#l00024">24</a> of file <a class="el" href="../../da/d15/a09021_source.html">missionserver.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad01eac75e1a14e863506caea00845ca2" name="ad01eac75e1a14e863506caea00845ca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad01eac75e1a14e863506caea00845ca2">&#9670;&#160;</a></span>DumpClassNameJSON()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionServer::DumpClassNameJSON </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>mustContain</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00125">125</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a081e14fb79f837622f5daa894b93255d" name="a081e14fb79f837622f5daa894b93255d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a081e14fb79f837622f5daa894b93255d">&#9670;&#160;</a></span>EquipCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::EquipCharacter </td>
          <td>(</td>
          <td class="paramtype">MenuDefaultCharacterData&#160;</td>
          <td class="paramname"><em>char_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d15/a09021_source.html#l00039">39</a> of file <a class="el" href="../../da/d15/a09021_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a56cb80bb9ef9602d18ebc3625b06789a" name="a56cb80bb9ef9602d18ebc3625b06789a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56cb80bb9ef9602d18ebc3625b06789a">&#9670;&#160;</a></span>Expansion_SendSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MissionServer::Expansion_SendSettings </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00107">107</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a85f1149cc82d6be8b1a626b4b9f10496" name="a85f1149cc82d6be8b1a626b4b9f10496"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85f1149cc82d6be8b1a626b4b9f10496">&#9670;&#160;</a></span>HandleBody()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::HandleBody </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Avoid exploit where players that are given (temporary) godmode for any reason (e.g. through a 3rd party mod, since Expansion no longer uses player godmode for anything), can disconnect while uncon or restrained and reconnect to dupe their character and all their gear (the other unconscious body will still be on the ground due to the game not being able to kill it)</p>

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00032">32</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a5220cefbf5b32bfdbba6de6303703848" name="a5220cefbf5b32bfdbba6de6303703848"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5220cefbf5b32bfdbba6de6303703848">&#9670;&#160;</a></span>InvokeOnConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::InvokeOnConnect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Do after, because some modules use PlayerIdentity setup inside AddPlayer of <a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> class</p>

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00093">93</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="af86d4c9ac48865c51c5ef9323269f292" name="af86d4c9ac48865c51c5ef9323269f292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af86d4c9ac48865c51c5ef9323269f292">&#9670;&#160;</a></span>OnClientReconnectEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::OnClientReconnectEvent </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00083">83</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a739f3d559572cf36d028f354c0f271e1" name="a739f3d559572cf36d028f354c0f271e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a739f3d559572cf36d028f354c0f271e1">&#9670;&#160;</a></span>OnMissionLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::OnMissionLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00067">67</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="acbef82bdde53b436aba506cf1ba70cf7" name="acbef82bdde53b436aba506cf1ba70cf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbef82bdde53b436aba506cf1ba70cf7">&#9670;&#160;</a></span>OnMissionStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::OnMissionStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00047">47</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a56d9b250d1fddb41a9f96e9d6b08de5f" name="a56d9b250d1fddb41a9f96e9d6b08de5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56d9b250d1fddb41a9f96e9d6b08de5f">&#9670;&#160;</a></span>PlayerDisconnected()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::PlayerDisconnected </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>uid</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00115">115</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a3502c1fff1de96c7e56c36c1766383e2" name="a3502c1fff1de96c7e56c36c1766383e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3502c1fff1de96c7e56c36c1766383e2">&#9670;&#160;</a></span>UpdateLogoutPlayers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void MissionServer::UpdateLogoutPlayers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Fix for <a href="https://feedback.bistudio.com/T163613">https://feedback.bistudio.com/T163613</a>. </p>
<p >Use RemoveElement because Remove(NULL) will not work for keys that are not literal NULL <a href="https://feedback.bistudio.com/T166724">https://feedback.bistudio.com/T166724</a></p>

<p class="definition">Definition at line <a class="el" href="../../d9/d74/a09024_source.html#l00016">16</a> of file <a class="el" href="../../d9/d74/a09024_source.html">missionserver.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a940fe385684686f37557a6d323d0833c" name="a940fe385684686f37557a6d323d0833c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a940fe385684686f37557a6d323d0833c">&#9670;&#160;</a></span>EXPANSION_CLASSNAME_DUMP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool MissionServer::EXPANSION_CLASSNAME_DUMP = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/dad/a09015_source.html#l00018">18</a> of file <a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a>.</p>

</div>
</div>
<a id="a3cd2d85cf3be4adbcc8d929553c089c5" name="a3cd2d85cf3be4adbcc8d929553c089c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cd2d85cf3be4adbcc8d929553c089c5">&#9670;&#160;</a></span>m_RespawnHandlerModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ExpansionRespawnHandlerModule MissionServer::m_RespawnHandlerModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d15/a09021_source.html#l00019">19</a> of file <a class="el" href="../../da/d15/a09021_source.html">missionserver.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mission/<a class="el" href="../../dc/dad/a09015_source.html">missionserver.c</a></li>
<li>DayzExpansion/SpawnSelection/Scripts/5_mission/dayzexpansion_spawnselection/mission/<a class="el" href="../../da/d15/a09021_source.html">missionserver.c</a></li>
<li>DayzExpansion/DefineTest/5_mission/<a class="el" href="../../d0/d85/a01352_source.html">mission.c</a></li>
<li>DayzExpansion/VanillaFixes/Scripts/5_mission/dayzexpansion_vanillafixes/<a class="el" href="../../d9/d74/a09024_source.html">missionserver.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d1a/a05053.html">MissionServer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
